Skip to main content
GET
List account transactions
For paginated data resulting in multiple pages, each page will need to be requested separately to retrieve the data on that page. The total_pages field returns an integer representing the total pages to be requested.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

account_guid
string
required

The unique identifier for the account. Defined by MX.

Query Parameters

from_date
string

Return transactions starting from this day, based on the transaction date. Defaults to 120 days ago if not provided. Format should be ISO 8601 format (2013-05-28).

to_date
string

Return transactions ending with this day, based on the transaction date. Defaults to 5 days forward from the day the request is made so as to capture pending transactions. Format should be ISO 8601 format (2013-05-28).

page
integer

Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.

records_per_page
integer

Requests to all list endpoints that return multiple transactions (e.g. list transactions) should specify the desired records_per_page. The supported range is from 10 to 1000. If the records_per_page parameter is not specified or is outside this range, a default of 25 records per page will be used.

Response

200 - application/vnd.mx.nexus.v1+json

OK

transactions
object[]
pagination
object